Dancer2::Serializer::YAML(3pm)

NAME
Dancer2::Serializer::YAML - Serializer for handling YAML data

VERSION
version 2.1.0

DESCRIPTION
This is a serializer engine that allows you to turn Perl data structures into YAML output and vice-versa.

ATTRIBUTES

  content_type
Returns 'text/x-yaml'

METHODS

  serialize($content)
Serializes a data structure to a YAML structure.

  deserialize($content)
Deserializes a YAML structure to a data structure.

FUNCTIONS

  fom_yaml($content)
This is an helper available to transform a YAML data structure to a Perl data structures.

  to_yaml($content)
This is an helper available to transform a Perl data structure to YAML.

Calling this function will not trigger the serialization's hooks.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.